#include "test_test.h"

void	compare_atoi(const char *test)
{
	int		result_perso, result_std;

	printf("\ntest : %s\n", test);
	result_perso = ft_atoi(test);
	result_std = atoi(test);
	print_result_int((int) result_std, (int) result_perso);
}


void	test_atoi()
{
	printf("\n@@@@@@@@@@@@@TEST atoi\n");
	compare_atoi("0123");
	compare_atoi("\n -123");
	compare_atoi("-123");
	compare_atoi("+123");
	compare_atoi("asdf123");
	compare_atoi("123asdf");
	compare_atoi("      1234");
	compare_atoi("0123\n56789");
	compare_atoi("");
}

void	compare_isalpha(int test)
{
	int		result_perso, result_std;

	printf("\ntest : %i\n", test);
	result_perso = ft_isalpha(test);
	result_std = isalpha(test);
	print_result_int((int) result_std, (int) result_perso);
}

void	test_isalpha()
{
	printf("\n@@@@@@@@@@@@@TEST isalpha\n");
	compare_isalpha((int) 'a');
	compare_isalpha((int) 'A');
	compare_isalpha((int) 'z');
	compare_isalpha((int) 'Z');
	compare_isalpha((int) '1');
	compare_isalpha((int) '@');
	compare_isalpha((int) '\0');
	compare_isalpha((int) -1);
	compare_isalpha((int) 256);
}

void	compare_isdigit(int test)
{
	int		result_perso, result_std;

	printf("\ntest : %i\n", test);
	result_perso = ft_isdigit(test);
	result_std = isdigit(test);
	print_result_int((int) result_std, (int) result_perso);
}

void	test_isdigit()
{
	printf("\n@@@@@@@@@@@@@TEST isdigit\n");
	compare_isdigit((int) '0');
	compare_isdigit((int) '9');
	compare_isdigit((int) 'Z');
	compare_isdigit((int) '@');
	compare_isdigit((int) '\0');
	compare_isdigit((int) -1);
	compare_isdigit((int) 256);
}

void	compare_isalnum(int test)
{
	int		result_perso, result_std;

	printf("\ntest : %i\n", test);
	result_perso = ft_isalnum(test);
	result_std = isalnum(test);
	print_result_int((int) result_std, (int) result_perso);
}

void	test_isalnum()
{
	printf("\n@@@@@@@@@@@@@TEST isalnum\n");
	compare_isalnum((int) '1');
	compare_isalnum((int) 'Z');
	compare_isalnum((int) '@');
	compare_isalnum((int) '\0');
	compare_isalnum((int) -1);
	compare_isalnum((int) 256);
}

void	compare_isascii(int test)
{
	int		result_perso, result_std;

	printf("\ntest : %i\n", test);
	result_perso = ft_isascii(test);
	result_std = isascii(test);
	print_result_int((int) result_std, (int) result_perso);
}

void	test_isascii()
{
	printf("\n@@@@@@@@@@@@@TEST isascii\n");
	compare_isascii(-1);
	compare_isascii(0);
	compare_isascii(127);
	compare_isascii(128);
}

void	compare_isprint(int test)
{
	int		result_perso, result_std;

	printf("\ntest : %i\n", test);
	result_perso = ft_isprint(test);
	result_std = isprint(test);
	print_result_int((int) result_std, (int) result_perso);
}

void	test_isprint()
{
	printf("\n@@@@@@@@@@@@@TEST isprint\n");
	/*
	int i;
	i = 0;
	while (i < )
	{
		compare_isprint(i);
		++i;
	}*/
	compare_isprint(31);
	compare_isprint(32);
	compare_isprint(126);
	compare_isprint(127);
}

void	compare_toupper(int test)
{
	int		result_perso, result_std;

	printf("\ntest : %i\n", test);
	result_perso = ft_toupper(test);
	result_std = toupper(test);
	print_result_int((int) result_std, (int) result_perso);
}

void	test_toupper()
{
	printf("\n@@@@@@@@@@@@@TEST toupper\n");
	compare_toupper((int) 'a');
	compare_toupper((int) 'z');
	compare_toupper((int) 'D');
	compare_toupper((int) '1');
	compare_toupper((int) '!');
}

void	compare_tolower(int test)
{
	int		result_perso, result_std;

	printf("\ntest : %i\n", test);
	result_perso = ft_tolower(test);
	result_std = tolower(test);
	print_result_int((int) result_std, (int) result_perso);
}

void	test_tolower()
{
	printf("\n@@@@@@@@@@@@@TEST tolower\n");
	compare_tolower((int) 'a');
	compare_tolower((int) 'z');
	compare_tolower((int) 'D');
	compare_tolower((int) '1');
	compare_tolower((int) '!');
}
