/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_nodeaddson.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gbersac <gbersac@student.42.fr>            +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2013/11/28 11:43:21 by gbersac           #+#    #+#             */
/*   Updated: 2013/11/28 11:47:03 by gbersac          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void	ft_nodeaddson(t_node *parent, t_node *new)
{
	t_node	*brother;

	if (parent == NULL)
		return ;
	brother = parent->son;
	while (brother->brother != NULL)
		brother = brother->brother;
	brother->brother = new;
}
