/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_nodedel.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gbersac <gbersac@student.42.fr>            +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2013/11/28 10:42:15 by gbersac           #+#    #+#             */
/*   Updated: 2013/11/28 11:31:10 by gbersac          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void	ft_nodedel(t_node **anode)
{
	t_node	*node;

	node = *anode;
	if (node->son != NULL)
		ft_nodedel(&(node->son));
	if (node->brother != NULL)
		ft_nodedel(&(node->brother));
	free(node);
	*anode = NULL;
}
